Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class EJBProcessor

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.EJBProcessor

All Implemented Interfaces:
  ActionLifecycle

    public class EJBProcessor

extends AbstractActionLifecycle

Field Summary
`static int` | `ARG_PREFIX_LENGTH`
`protected ConfigTree` | `configTree`
`static java.lang.String` | `DEFAULT_OUT`
`static java.lang.String` | `EJB_METHOD`
`static java.lang.String` | `EJB_NAME`
`static java.lang.String` | `INICTXFACTORY`
`static java.lang.String` | `JAVA_TYPE`
`static java.lang.String` | `JNDI_NAME`
`static java.lang.String` | `OUT_VAR`
`static java.lang.String` | `PROVIDERURL`

Constructor Summary
`EJBProcessor(ConfigTree config)`

Method Summary
`void` | `initialise()` Initialise the action instance.
`Message` | `process(Message msg)`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle
`destroy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EJB_NAME

    public static final java.lang.String EJB_NAME

See Also:
  Constant Field Values

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

See Also:
  Constant Field Values

### EJB_METHOD

    public static final java.lang.String EJB_METHOD

See Also:
  Constant Field Values

### JAVA_TYPE

    public static final java.lang.String JAVA_TYPE

See Also:
  Constant Field Values

### INICTXFACTORY

    public static final java.lang.String INICTXFACTORY

See Also:
  Constant Field Values

### PROVIDERURL

    public static final java.lang.String PROVIDERURL

See Also:
  Constant Field Values

### OUT_VAR

    public static final java.lang.String OUT_VAR

See Also:
  Constant Field Values

### DEFAULT_OUT

    public static final java.lang.String DEFAULT_OUT

See Also:
  Constant Field Values

### ARG_PREFIX_LENGTH

    public static final int ARG_PREFIX_LENGTH

See Also:
  Constant Field Values

### configTree

    protected ConfigTree configTree

Constructor Detail

### EJBProcessor

    public EJBProcessor(ConfigTree config)

Method Detail

### process

    public Message process(Message msg)
                    throws ActionProcessingException,
                           ConfigurationException

  Throws:
    `ActionProcessingException`
    `ConfigurationException`

### initialise

    public void initialise()
                    throws ActionLifecycleException

  Description copied from class: `AbstractActionLifecycle`
  Initialise the action instance.

  This method is called after the action instance has been instantiated so that configuration options can be validated.

  Specified by:
    `initialise` in interface `ActionLifecycle`
  Overrides:
    `initialise` in class `AbstractActionLifecycle`
  Throws:
    `ActionLifecycleException` - for errors during initialisation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD